[gtk/wip/otte/x11-testsuite: 1/2] testsuite: Split X11 testsuite




commit 38cfb0a11ccd7fc5fc7d2c2c8e481029086cbeb6
Author: Benjamin Otte <otte redhat com>
Date:   Thu May 5 23:11:35 2022 +0200

    testsuite: Split X11 testsuite
    
    Duplicate the X11 testsuite into x11full and x11bare.
    Run both of them in the Fedora CI runner.
    
    For now they do the same thing (followup commits will change that), but
    the goal is to have 2 testruns:
    
    x11full should get as close to simulating a modern full-featured setup
    with a compositing WM and all extensions.
    
    x11bare should have the minimum required setup that te testsuite needs,
    but nothing more. No compositor, a WM wit the minimal set of features,
    etc.

 .gitlab-ci.yml          |  5 +++--
 .gitlab-ci/run-tests.sh | 16 +++++++++++++++-
 testsuite/meson.build   |  9 +++++++--
 3 files changed, 25 insertions(+), 5 deletions(-)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index a2ca8f67a8..fefc1724b9 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -90,7 +90,8 @@ fedora-x86_64:
     - meson install -C _build
     - PKG_CONFIG_PATH=${CI_PROJECT_DIR}/_install/lib64/pkgconfig:${CI_PROJECT_DIR}/_install/share/pkgconfig 
meson setup _build_hello examples/hello
     - LD_LIBRARY_PATH=${CI_PROJECT_DIR}/_install/lib64 meson compile -C _build_hello
-    - .gitlab-ci/run-tests.sh _build x11
+    - .gitlab-ci/run-tests.sh _build x11bare
+    - .gitlab-ci/run-tests.sh _build x11full
     - .gitlab-ci/run-tests.sh _build wayland
     - .gitlab-ci/run-tests.sh _build waylandgles
     - .gitlab-ci/run-tests.sh _build broadway
@@ -107,7 +108,7 @@ release-build:
     - meson ${COMMON_MESON_FLAGS} ${EXTRA_MESON_FLAGS} ${BACKEND_FLAGS} ${FEATURE_FLAGS}
             _build
     - ninja -C _build
-    - .gitlab-ci/run-tests.sh _build x11
+    - .gitlab-ci/run-tests.sh _build x11full
 
 installed-tests:
   extends: .build-fedora-default
diff --git a/.gitlab-ci/run-tests.sh b/.gitlab-ci/run-tests.sh
index e68cf5a6c9..61559ebb7e 100755
--- a/.gitlab-ci/run-tests.sh
+++ b/.gitlab-ci/run-tests.sh
@@ -12,7 +12,21 @@ export LSAN_OPTIONS=suppressions=$srcdir/lsan.supp:print_suppressions=0
 export G_SLICE=always-malloc
 
 case "${backend}" in
-  x11)
+  x11full)
+    xvfb-run -a -s "-screen 0 1024x768x24 -noreset" \
+          meson test -C ${builddir} \
+                --timeout-multiplier "${MESON_TEST_TIMEOUT_MULTIPLIER}" \
+                --print-errorlogs \
+                --setup=${backend} \
+                --suite=gtk \
+                --no-suite=gsk-compare-broadway
+
+    # Store the exit code for the CI run, but always
+    # generate the reports
+    exit_code=$?
+    ;;
+
+  x11bare)
     xvfb-run -a -s "-screen 0 1024x768x24 -noreset" \
           meson test -C ${builddir} \
                 --timeout-multiplier "${MESON_TEST_TIMEOUT_MULTIPLIER}" \
diff --git a/testsuite/meson.build b/testsuite/meson.build
index 97344f3062..41e81e8745 100644
--- a/testsuite/meson.build
+++ b/testsuite/meson.build
@@ -12,10 +12,15 @@ common_env = [
 ]
 
 if x11_enabled
-  add_test_setup ('x11',
+  add_test_setup ('x11bare',
                   env: common_env + [
                        'GDK_BACKEND=x11',
-                       'TEST_OUTPUT_SUBDIR=x11',
+                       'TEST_OUTPUT_SUBDIR=x11bare',
+                       ])
+  add_test_setup ('x11full',
+                  env: common_env + [
+                       'GDK_BACKEND=x11',
+                       'TEST_OUTPUT_SUBDIR=x11full',
                        ])
 endif
 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]